# Uses of Interface
org.opensaml.soap.wstrust.KeyType

Packages that use KeyType
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of KeyType in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement KeyType
Modifier and Type
Class
Description
`class`
`KeyTypeImpl`
KeyTypeImpl.
Methods in org.opensaml.soap.wstrust.impl that return KeyType
Modifier and Type
Method
Description
`KeyType`
KeyTypeBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`KeyType`
KeyTypeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.